Search docs/

Ionic Angular 概览

@ionic/angular 将ionic核心体验与针对Angular开发者的工具和 API 结合起来。

Angular 版本支持

Ionic支持 Angular 6.0.0及以上版本。 作为其升级策略的一部分,Angular已经建立了一套内置工具,帮助自动升级,并在发生对 API 进行修改时向开发者提供反馈。 这样做减少了更新摩擦,并使生态系统保持在常绿状态。

Angular 工具

Ionic 4+ 使用了Angular官方的CLI与路由,因此你的应用可以与Angular生态系统的其余部分保持一致。 在需要更多功能的情况下,Ionic 提供了 @ionicc/angular-toolkit, 它构建并融入 官方的 Angolar CLI 并提供 @ionic/angular 的应用特有的功能。

Next
创建您的第一个应用程序